Get all sent form submission requests Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/submission-request/sent

Get all form submission requests that were sent by the authenticated account.

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[created_after] string

    Date to filter when the record was created after.

  • filter[created_before] string

    Date to filter when the record was created before.

  • filter[form.title] string

    @deprecated Please use filter[form_title] instead.

  • filter[form_title] string

    Filter by partial form titles.

  • filter[sender_uuids] string

    Filter by a comma separated list of employee account UUIDs of who sent the form requests.

  • filter[receiver_uuids] string

    Filter by a comma separated list of client account UUIDs of who received the form requests.

  • filter[circle_uuids] string

    Filter by a comma separated list of circle UUIDs belonging to client accounts of who received the form requests.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, description]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • description string

        The description of the form submission request

      • form object

        The form linked to this submission request

        Hide form attributes Show form attributes object
        • uuid string
        • created_at string
        • updated_at string
        • title string
        • description string
        • live boolean
        • visibility string
        • sections string
        • allowed_hosts array[string]
        • draft_submissions_count integer
        • submitted_submissions_count integer
        • create_client boolean
        • client_type string
      • has_submission boolean

        Denotes if this request has a submission stored against it

      • submission object

        The submission stored against this request

        Hide submission attributes Show submission attributes object
        • uuid string
        • created_at string
        • updated_at string
        • stage string
        • account string
        • request string
        • form string
        • answers array[object]
          Hide answers attributes Show answers attributes object
          • first_name string
          • last_name string
GET /api/v1/submission-request/sent
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/submission-request/sent' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "uuid": "6e755e41-88a0-44ef-bee6-10a2e44bdf23",
      "created_at": "2026-06-08T16:08:02+01:00",
      "updated_at": "2026-06-08T16:08:02+01:00",
      "description": "Please submit your annual survey form",
      "form": {
        "uuid": "defbbf38-18f5-4795-90b7-d1320477c7d3",
        "created_at": "2026-06-08T16:08:02+01:00",
        "updated_at": "2026-06-08T16:08:02+01:00",
        "title": "Annual Catchup 2022",
        "description": "This is the annual catchup form for 2022",
        "live": true,
        "visibility": "public",
        "sections": "App\\Http\\Resources\\FormQuestionResource",
        "allowed_hosts": [
          "domain.com",
          "subdomain.domain.com"
        ],
        "draft_submissions_count": 5,
        "submitted_submissions_count": 5,
        "create_client": true,
        "client_type": "client"
      },
      "has_submission": true,
      "submission": {
        "uuid": "e11a46d3-c974-4253-ae7c-6d6ff18d8d40",
        "created_at": "2026-06-08T16:08:02+01:00",
        "updated_at": "2026-06-08T16:08:02+01:00",
        "stage": "draft",
        "account": "App\\Http\\Resources\\AccountResource",
        "request": "App\\Http\\Resources\\FormSubmissionRequestResource",
        "form": "App\\Http\\Resources\\FormResource",
        "answers": [
          {
            "first_name": "john",
            "last_name": "olive"
          }
        ]
      }
    }
  ]
}